# RoboViz
A tool to render one or more 3d models, specifically robots in a navigable 3d environment based on 3 input files.

CSC3003S Capstone project by Mikha Davids, Michelle Mouton and Richard Taylor.
# Usage
Run the following command in the root directory to start the program:
```bash
py -m roboviz
```

## Command line options
Any combination of the following command line options may be appended to the end of the command to run the program. There should be a space between each command and parameter.
`-r <file path>` or `--robots <file path>`

Specify the path to robots configuration .json file to load on startup.

`-p <file path>` or `--positions <file path>`

Specify the path of a positions .txt file to load on startup.

`-t <file path>` or `--terrain <file path>`

Specify the path of a terrain dimensions .txt file to load on startup.

`-d` or `--debug`

Run the program in debug mode. NOTE: This will cause many aspects of the program to behave differently and will cause a severe performance decrease.
# Dev
This project uses 2 third party libraries, Panda3D and Pillow, which needs to be installed before you can run it. Assuming you have python 3 installed run the following command in the root directory:
```bash
pip install -r requirements.txt
```
if you do have python installed but that does not work try running the following:
#### Windows
```
py -m pip install -r requirements.txt
```
#### Mac / Linux
```
python3 -m pip install -r requirements.txt
```