import os
from panda3d.core import Filename
from .Themes import *

working_dir = Filename.from_os_specific(os.getcwd())
theme = Dark

class robots:
	padding = 5
	"""Minimum space between bots and between bots and terrain edge during auto layout"""
	default = 9
	"""The default swarm size for auto layout"""
	threshold = 200
	"""If a swarm size >= threshold the user will be warned about decreased performance"""
	max = 400
	"""The maximum swarm size permitted"""

class defaults:
	controls = "Game"
	"""The default control scheme, either `"Game"` or `"OnlineVisualizer"`"""
	layout = "auto"
	"""The default robot layout method, either `"auto"` or `"load"`"""

class model:
	path = f"{working_dir}/resources/models"
	extension = "bam"
	z_offset = 0.5

class paths:
	terrain = f"{working_dir}/resources/terrain/terrain.bam"
	logo = f"{working_dir}/resources/logo"
	config = f"{working_dir}/resources/config"
	demo = f"{os.getcwd()}/resources/config/demo.json"
	font = f"{working_dir}/resources/UbuntuMono-Bold.ttf"