from tkinter import Tk
from panda3d.core import loadPrcFileData
from roboviz.model.FileData import TerrainData, PositionData, SwarmData
from roboviz.controller.Scene import Scene

from sys import argv

robots = None
positions = None
terrain = None
i = 1
# for arg in argv[1:]:
while i < len(argv):
	if argv[i] in ["-r", "--robots"]:
		if len(argv) > i+1:
			robots = SwarmData(argv[i+1])
			i += 1
	elif argv[i] in ["-p", "--positions"]:
		if len(argv) > i+1:
			positions = PositionData(argv[i+1])
			i += 1
	elif argv[i] in ["-t", "--terrain"]:
		if len(argv) > i+1:
			terrain = TerrainData(argv[i+1])
			i += 1
	i += 1

window_sizer = Tk()

# set panda3d config. Doing this here because we require the screen dimensions, which are most easily obtained from a tkinter window
loadPrcFileData("config", f"""
	win-size				{window_sizer.winfo_screenwidth()} {window_sizer.winfo_screenheight()}
	window-title			RoboViz
	disable-sticky-keys		true
	""")

window_sizer.destroy()

Scene(robots, positions, terrain)